searchNodes=[{"ref":"Timber.Ecto.html","title":"Timber.Ecto","module":"Timber.Ecto","type":"module","doc":"Timber integration for Ecto. Timber can hook into Ecto&#39;s Telemetry events to gather information about queries including the text of the query and the time it took to execute. This information is then logged as a Timber.Events.SQLQueryEvent. To install Timber&#39;s Ecto event collector, you will need to modify the application configuration on a per-repository basis. Each repository has to have the Timber handler attached. The best place to do it is in your application&#39;s start callback. It is important to note that the first argument must be unique, and the second is based on Ecto&#39;s default Telemetry event prefix. More information can be found in the docs for Ecto.Repo. # lib/my_app/application.ex def start(_type, _args) do # ... :ok = :telemetry.attach( &quot;timber-ecto-query-handler&quot;, [:my_app, :repo, :query], &amp;Timber.Ecto.handle_event/4, [] ) # ... Supervisor.start_link(children, opts) end Each repository has a configuration key :log that controls whether Ecto logs query information. By default, it is enabled. In order to avoid duplicate logging, you will want to make sure it is set to false. config :my_app, MyApp.Repo, log: false By default, queries are logged at the :debug level. If you want to use a different level, the :log_level option can be passed to the Telemetry.attach call: :ok = :telemetry.attach( &quot;timber-ecto-query-handler&quot;, [:my_app, :repo, :query], &amp;Timber.Ecto.handle_event/4, [log_level: :info] ) Timing The time reported in the event is the amount of time the query took to execute on the database, as measured by Ecto. It does not include the time that the query spent in the pool&#39;s queue or the time spent decoding the response from the database. Log only slow queries If your queries are noisy you can specify a threshold that must be crossed in order for the query to be logged: :ok = :telemetry.attach( &quot;timber-ecto-query-handler&quot;, [:my_app, :repo, :query], &amp;Timber.Ecto.handle_event/4, [query_time_ms_threshold: 2_000] ) In the above example, only queries that exceed 2 seconds in execution time will be logged."},{"ref":"Timber.Ecto.html#handle_event/4","title":"Timber.Ecto.handle_event/4","module":"Timber.Ecto","type":"function","doc":""},{"ref":"readme.html","title":"README","module":"readme","type":"extras","doc":"🌲 Timber Integration for Ecto This library integrates the :timber Elixir package with the Ecto library, turning your Ecto logs into rich structured events. Sign-up: https://app.timber.io Documentation: https://docs.timber.io/setup/languages/elixir/integrations/ecto"},{"ref":"license.html","title":"LICENSE","module":"license","type":"extras","doc":"Copyright (c) 2016, Timber Technologies, Inc. Permission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies. THE SOFTWARE IS PROVIDED &quot;AS IS&quot; AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE."}]